PMTElementaryStreamInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.si
Interface PMTElementaryStreamInfo

    public interface PMTElementaryStreamInfo

This interface represents an MPEG-2 PMT Elementary Stream Info loop. Each PMT will contain a loop of these blocks, as a block per an elementary stream.

Method Summary
`Descriptor[]` | `getDescriptorLoop()` Get the descriptors associated with the elementary stream.
`short` | `getElementaryPID()` Get the elementary_PID field.
`String` | `getLocatorString()` Get the locator for the elementary stream.
`short` | `getStreamType()` Get the stream_type field.

Method Detail

### getStreamType

    short getStreamType()

  Get the stream_type field. Eight bit field specifying the type of program element carried within the packets within the PID returned by getElementaryPID(). See the StreamType interface for defined values.

  Returns:
    The stream type.

### getElementaryPID

    short getElementaryPID()

  Get the elementary_PID field. Thirteen bit field specifying the PID of the associated elementary stream.

  Returns:
    The elementary PID.

### getDescriptorLoop

    Descriptor[] getDescriptorLoop()

  Get the descriptors associated with the elementary stream.

  Returns:
    The descriptor loop.

### getLocatorString

    String getLocatorString()

  Get the locator for the elementary stream.

  For an Inband PMT, the returned OcapLocator corresponds to one of the following OCAP URL forms:

  `ocap://source_id.@<component_tag>{&<component_tag>}` `ocap://source_id.+PID` `ocap://f=frequency.program_number.@<component_tag>{&<component_tag>}` `ocap://f=frequency.program_number.+PID`

  The forms including the PID are returned if and only if no component tags are signaled. The form returned (apart from the component tag and PID elements) must correspond to the form of the OCAP URL passed to the previous call to `ProgramMapTableManager.retrieveInBand()` or `ProgramMapTableManager.addInBandChangeListener()`.

  For an OOB PMT, the returned OcapLocator corresponds to one of the following OCAP URL forms:

  `ocap://oobfdc.program_number.@<component_tag>{&<component_tag>}` `ocap://oobfdc.program_number.+PID`

  The form including the PID is returned if and only if no component tags are signaled.

  Returns:
    The string which represents the URL of the elementary stream represented by this PMTElementaryStreamInfo.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD